org.apache.tinkerpop.gremlin.process.traversal.step.branch

## Class ChooseTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.branch.ChooseTest

- Direct Known Subclasses:
    ChooseTest.Traversals

      public abstract class ChooseTest
      extends AbstractGremlinProcessTest

  Author:
    Marko A. Rodriguez (http://markorodriguez.com), Joshua Shinavier (http://fortytwo.net)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ChooseTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChooseTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_injectX1X_chooseXisX1X__constantX10Xfold__foldX()`
    `void` | `g_injectX2X_chooseXisX1X__constantX10Xfold__foldX()`
    `void` | `g_V_chooseXhasLabelXpersonX_and_outXcreatedX__outXknowsX__identityX_name()`
    `void` | `g_V_chooseXlabel_eqXpersonX__outXknowsX__inXcreatedXX_name()`
    `void` | `g_V_chooseXlabelX_optionXblah__outXknowsXX_optionXbleep__outXcreatedXX_optionXnone__identityX_name()`
    `void` | `g_V_chooseXout_countX_optionX2L__nameX_optionX3L__valueMapX()`
    `void` | `g_V_chooseXoutXknowsX_count_isXgtX0XX__outXknowsXX_name()`
    `void` | `g_V_hasLabelXpersonX_asXp1X_chooseXoutEXknowsX__outXknowsXX_asXp2X_selectXp1_p2X_byXnameX()`
    `void` | `g_V_hasLabelXpersonX_chooseXageX__optionX27L__constantXyoungXX_optionXnone__constantXoldXX_groupCount()`
    `abstract Traversal<Integer,List<Integer>>` | `get_g_injectX1X_chooseXisX1X__constantX10Xfold__foldX()`
    `abstract Traversal<Integer,List<Integer>>` | `get_g_injectX2X_chooseXisX1X__constantX10Xfold__foldX()`
    `abstract Traversal<Vertex,String>` | `get_g_V_chooseXhasLabelXpersonX_and_outXcreatedX__outXknowsX__identityX_name()`
    `abstract Traversal<Vertex,String>` | `get_g_V_chooseXlabel_eqXpersonX__outXknowsX__inXcreatedXX_name()`
    `abstract Traversal<Vertex,String>` | `get_g_V_chooseXlabelX_optionXblah__outXknowsXX_optionXbleep__outXcreatedXX_optionXnone__identityX_name()`
    `abstract Traversal<Vertex,Object>` | `get_g_V_chooseXout_countX_optionX2L__nameX_optionX3L__valueMapX()`
    `abstract Traversal<Vertex,String>` | `get_g_V_chooseXoutXknowsX_count_isXgtX0XX__outXknowsXX_name()`
    `abstract Traversal<Vertex,Map<String,String>>` | `get_g_V_hasLabelXpersonX_asXp1X_chooseXoutEXknowsX__outXknowsXX_asXp2X_selectXp1_p2X_byXnameX()`
    `abstract Traversal<Vertex,Map<String,Long>>` | `get_g_V_hasLabelXpersonX_chooseXageX__optionX27L__constantXyoungXX_optionXnone__constantXoldXX_groupCount()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRandomCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChooseTest

          public ChooseTest()

  - ### Method Detail

    - #### get_g_V_chooseXout_countX_optionX2L__nameX_optionX3L__valueMapX

          public abstract Traversal<Vertex,Object> get_g_V_chooseXout_countX_optionX2L__nameX_optionX3L__valueMapX()

    - #### get_g_V_chooseXlabel_eqXpersonX__outXknowsX__inXcreatedXX_name

          public abstract Traversal<Vertex,String> get_g_V_chooseXlabel_eqXpersonX__outXknowsX__inXcreatedXX_name()

    - #### get_g_V_chooseXhasLabelXpersonX_and_outXcreatedX__outXknowsX__identityX_name

          public abstract Traversal<Vertex,String> get_g_V_chooseXhasLabelXpersonX_and_outXcreatedX__outXknowsX__identityX_name()

    - #### get_g_V_chooseXlabelX_optionXblah__outXknowsXX_optionXbleep__outXcreatedXX_optionXnone__identityX_name

          public abstract Traversal<Vertex,String> get_g_V_chooseXlabelX_optionXblah__outXknowsXX_optionXbleep__outXcreatedXX_optionXnone__identityX_name()

    - #### get_g_V_chooseXoutXknowsX_count_isXgtX0XX__outXknowsXX_name

          public abstract Traversal<Vertex,String> get_g_V_chooseXoutXknowsX_count_isXgtX0XX__outXknowsXX_name()

    - #### get_g_V_hasLabelXpersonX_asXp1X_chooseXoutEXknowsX__outXknowsXX_asXp2X_selectXp1_p2X_byXnameX

          public abstract Traversal<Vertex,Map<String,String>> get_g_V_hasLabelXpersonX_asXp1X_chooseXoutEXknowsX__outXknowsXX_asXp2X_selectXp1_p2X_byXnameX()

    - #### get_g_V_hasLabelXpersonX_chooseXageX__optionX27L__constantXyoungXX_optionXnone__constantXoldXX_groupCount

          public abstract Traversal<Vertex,Map<String,Long>> get_g_V_hasLabelXpersonX_chooseXageX__optionX27L__constantXyoungXX_optionXnone__constantXoldXX_groupCount()

    - #### get_g_injectX1X_chooseXisX1X__constantX10Xfold__foldX

          public abstract Traversal<Integer,List<Integer>> get_g_injectX1X_chooseXisX1X__constantX10Xfold__foldX()

    - #### get_g_injectX2X_chooseXisX1X__constantX10Xfold__foldX

          public abstract Traversal<Integer,List<Integer>> get_g_injectX2X_chooseXisX1X__constantX10Xfold__foldX()

    - #### g_V_chooseXout_countX_optionX2L__nameX_optionX3L__valueMapX

          public void g_V_chooseXout_countX_optionX2L__nameX_optionX3L__valueMapX()

    - #### g_V_chooseXlabel_eqXpersonX__outXknowsX__inXcreatedXX_name

          public void g_V_chooseXlabel_eqXpersonX__outXknowsX__inXcreatedXX_name()

    - #### g_V_chooseXhasLabelXpersonX_and_outXcreatedX__outXknowsX__identityX_name

          public void g_V_chooseXhasLabelXpersonX_and_outXcreatedX__outXknowsX__identityX_name()

    - #### g_V_chooseXlabelX_optionXblah__outXknowsXX_optionXbleep__outXcreatedXX_optionXnone__identityX_name

          public void g_V_chooseXlabelX_optionXblah__outXknowsXX_optionXbleep__outXcreatedXX_optionXnone__identityX_name()

    - #### g_V_chooseXoutXknowsX_count_isXgtX0XX__outXknowsXX_name

          public void g_V_chooseXoutXknowsX_count_isXgtX0XX__outXknowsXX_name()

    - #### g_V_hasLabelXpersonX_asXp1X_chooseXoutEXknowsX__outXknowsXX_asXp2X_selectXp1_p2X_byXnameX

          public void g_V_hasLabelXpersonX_asXp1X_chooseXoutEXknowsX__outXknowsXX_asXp2X_selectXp1_p2X_byXnameX()

    - #### g_V_hasLabelXpersonX_chooseXageX__optionX27L__constantXyoungXX_optionXnone__constantXoldXX_groupCount

          public void g_V_hasLabelXpersonX_chooseXageX__optionX27L__constantXyoungXX_optionXnone__constantXoldXX_groupCount()

    - #### g_injectX1X_chooseXisX1X__constantX10Xfold__foldX

          public void g_injectX1X_chooseXisX1X__constantX10Xfold__foldX()

    - #### g_injectX2X_chooseXisX1X__constantX10Xfold__foldX

          public void g_injectX2X_chooseXisX1X__constantX10Xfold__foldX()

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.